## qtdeclarative-opensource-src 5.0.2

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(Qt5_MODULE_TEST_DEPENDS Network Gui)

test_module_includes(
  Qml QQmlEngine
  Quick QQuickWindow
)

## qtdeclarative-opensource-src 5.0.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  [ Timo Jyrinki ]
  * New upstream release. 
  * Add patches:
    - fix_lp1087643.patch
    - rendering_performance_fix_lp1092358.patch
    - we_do_want_the_mouse_event_to_ourselves.patch
  * Cherry-pick from upstream:
    - add_license_files.patch

  [ Didier Roche ]
  * Misc minor fixes to lintian override and patch formats

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 05 Feb 2013 14:17:19 +0000

=== debian/control ===
Source: qtdeclarative-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               libqt5v8-5-private-dev (>= 5.0.1~),
               libqt5xmlpatterns5-private-dev (>= 5.0.1~),
               pkg-kde-tools,
               qt5-default,
               qtbase5-private-dev (>= 5.0.1~)
Standards-Version: 3.9.4
Homepage: http://qt-project.org/

Package: libqt5qml5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt5quick5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt5quickparticles5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick particules module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Particles support library.

Package: libqt5quicktest5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: qtdeclarative5-folderlistmodel-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 folderlistmodel QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qtdeclarative5-localstorage-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 localstorage QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a singleton type for reading and writing to SQLite databases.

Package: qtdeclarative5-particles-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 particles QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains a particle system for Qt Quick.

Package: qtdeclarative5-qtquick2-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick 2 QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick 2 QML plugin for Qt declarative.

Package: qtdeclarative5-test-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the test QML plugin for Qt declarative.

Package: qtdeclarative5-window-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 window QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating top-level windows and
 accessing screen information.

Package: qtdeclarative5-xmllistmodel-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 xmllistmodel QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating models from XML data.

Package: qtdeclarative5-dev
Section: libdevel
Architecture: any
Depends: libqt5qml5 (= ${binary:Version}),
         libqt5quick5 (= ${binary:Version}),
         libqt5quickparticles5 (= ${binary:Version}),
         libqt5quicktest5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt 5 declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 5 applications using Qt 5 declarative headers.

Package: qtdeclarative5-private-dev
Architecture: any
Section: libdevel
Depends: qtdeclarative5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 declarative private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using Qt 5 declarative private headers.
 .
 Use at your own risk.

Package: qtdeclarative5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qtchooser
Description: Qt 5 declarative development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 5
 declarative applications.

Package: qmlscene
Architecture: any
Multi-Arch: foreign
Section: devel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qtchooser
Description: Qt 5 QML scene viewer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML viewer for Qt Quick 2.

Package: qtdeclarative5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 declarative examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 declarative examples.

Package: qtdeclarative5-dbg
Priority: extra
Architecture: any
Section: debug
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5qml5 (= ${binary:Version}),
         libqt5quick5 (= ${binary:Version}),
         libqt5quickparticles5 (= ${binary:Version}),
         libqt5quicktest5 (= ${binary:Version}),
         qtdeclarative5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 declarative libraries debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 declarative libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtdeclarative5-dbg

override_dh_auto_configure:
	qmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

# Requires X so disabled for now
override_dh_auto_test:

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtdeclarative-opensource-src-([^-]*)\.tar.xz

## qtdeclarative-opensource-src 5.0.2

=== debian/changelog ===
qtdeclarative-opensource-src (5.0.2-6ubuntu4) saucy; urgency=low

  * debian/patches/fix_1236765.patch:
    - Fix infinite loop QQmlIncubator::forceCompletion (LP: #1236765)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Oct 2013 13:20:40 +0300

qtdeclarative-opensource-src (5.0.2-6ubuntu3) saucy; urgency=low

  * debian/patches/qml_type_loading.patch
    - Workaround for (LP: #1233705)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Oct 2013 18:19:11 +0300

qtdeclarative-opensource-src (5.0.2-6ubuntu2) saucy; urgency=low

  * Add qtquick_delegate_creation_range_itemviews.patch to patchset.
    (LP: #1217924)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 11 Sep 2013 14:03:31 +0200

qtdeclarative-opensource-src (5.0.2-6ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]
  * Resync with Debian, remaining changes:
    - Keep cherry-picked patches, and symbols
    - Keep debian/patches/rendering_performance_fix_lp1092358.patch
    - Add Vcs-Bzr field
  * Fix https://bugreports.qt-project.org/browse/QTBUG-30246 (LP: #1198830)
    - debian/patches/0b190b7114c816689eeb8478ea5151732bc7a5de_backport.patch
    - debian/patches/81a9dd71b9ce60ab4cae629b67d6f26ebdeb19db_backport.patch

  [ Dmitry Shachnev ]
  * Merge with Debian 5.0.2-6 to bring in documentation packages.
  * Note: architecture restrictions have been dropped from this upload,
    as requested by the Release Team.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Jul 2013 07:51:02 +0300

qtdeclarative-opensource-src (5.0.2-6) experimental; urgency=low

  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 18:29:51 -0300

qtdeclarative-opensource-src (5.0.2-5) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make every package that ships a binary managed by qtchooser depend on it.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols files.
  * Set qtdeclarative5-dbg as M-A same, so it can be coinstalled with other
    archs debugging symbols.

  [ Timo Jyrinki ]
  * Depend on libgl1-mesa-dri from the qtquick2 QML plugin
    - Not depending may cause crashes due to lack of VBO support
      (https://bugs.launchpad.net/bugs/1176199)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Jun 2013 21:33:20 -0300

qtdeclarative-opensource-src (5.0.2-4) experimental; urgency=low

  [ Pino Toscano ]
  * debian/control: remove extra ${misc:Pre-Depends} from qmlscene and
    qtdeclarative5-dev-tools.
  * Update symbols files.
  * Fix Vcs-* headers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols with amd64 build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 May 2013 21:25:40 -0300

qtdeclarative-opensource-src (5.0.2-3) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols files.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 May 2013 14:53:19 -0300

qtdeclarative-opensource-src (5.0.2-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix wrong permissions of examples.

  [ Pino Toscano ]
  * Update symbols files.
  * qtdeclarative5-localstorage-plugin: depend on libqt5sql5-sqlite, as it is
    used directly.
  * Remove extra ${shlibs:Depends} from qtdeclarative5-private-dev.
  * Bump the libqt5v8-5-private-dev and libqt5xmlpatterns5-private-dev build
    dependencies to 5.0.2~.
  * rules: use $(DEB_HOST_MULTIARCH) everywhere.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Apr 2013 20:45:49 -0300

qtdeclarative-opensource-src (5.0.2-1ubuntu2) saucy; urgency=low

  [ Timo Jyrinki ]
  * debian/patches/8a3d48915c29484c9ffb2fb8f0e3b569a9fe9b44_backport.patch:
    - Cherry-pick from upstream
      https://codereview.qt-project.org/#change,56583 (LP: #1183350)
  * debian/patches/0001-Fallback-to-QMetaObject-for-properties-not-in-QQmlPr.patch:
    - Cherry-pick from upstream
      https://codereview.qt-project.org/#change,57392 (LP: #1187746)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 20 Jun 2013 15:24:17 -0400

qtdeclarative-opensource-src (5.0.2-1ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]  
  * debian/patches/we_do_want_the_mouse_event_to_ourselves.patch:
    - Drop, merged upstream
  * debian/patches/fix_lp1087643.patch:
    - Drop, merged upstream
  * Merge with Debian experimental, remaining changes:
    - Keep architecture restrictions
    - Keep debian/patches/rendering_performance_fix_lp1092358.patch
  * Add libgl1-mesa-dri dependency for the quick2 plugin (LP: #1176199) 
  * Cherry-pick listview crasher fixes from upstream 5.1 branch (LP: #1176962):
    - debian/patches/01_8563adb737cec5d440197ddbd514fe201c5f18ff_backport.patch
    - debian/patches/02_53e317468626284fe26877659dff551ce3bc0e55_backport.patch
    - debian/patches/03_51665a9ecaebaef2382c1e76ebedfeffacb4b3de_backport.patch
    - debian/patches/04_9d6cd72353e4862592c016951810abf9a7ab8079_backport.patch

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix wrong permissions of examples.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 29 Apr 2013 16:27:13 -0700

qtdeclarative-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Apr 2013 21:46:50 -0300

qtdeclarative-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156) 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 21 Mar 2013 06:48:55 +0000

qtdeclarative-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  [ Ken VanDine ]
  * debian/control


=== debian/control ===
--- 
+++ 
@@ -11,13 +11,17 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               libqt5v8-5-private-dev (>= 5.0.1~),
-               libqt5xmlpatterns5-private-dev (>= 5.0.1~),
+               libqt5v8-5-private-dev (>= 5.0.2~),
+               libqt5xmlpatterns5-private-dev (>= 5.0.2~),
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.1~)
+               qtbase5-private-dev (>= 5.0.2~)
+Build-Depends-Indep: libqt5sql5-sqlite,
+                     qttools5-dev-tools (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdeclarative.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtdeclarative-opensource-src
 
 Package: libqt5qml5
 Architecture: any
@@ -85,7 +89,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5sql5-sqlite
 Description: Qt 5 localstorage QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -107,7 +111,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libgl1-mesa-dri, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Qt Quick 2 QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -151,6 +155,7 @@
 Package: qtdeclarative5-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5qml5 (= ${binary:Version}),
          libqt5quick5 (= ${binary:Version}),
          libqt5quickparticles5 (= ${binary:Version}),
@@ -167,9 +172,9 @@
 Package: qtdeclarative5-private-dev
 Architecture: any
 Section: libdevel
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qtdeclarative5-dev (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
 Description: Qt 5 declarative private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -183,9 +188,8 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: qtchooser
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 declarative development programs
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -197,9 +201,8 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: qtchooser
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 QML scene viewer
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -221,16 +224,41 @@
 Package: qtdeclarative5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5qml5 (= ${binary:Version}),
          libqt5quick5 (= ${binary:Version}),
          libqt5quickparticles5 (= ${binary:Version}),
          libqt5quicktest5 (= ${binary:Version}),
-         qtdeclarative5-examples (= ${binary:Version}),
          ${misc:Depends}
+Recommends: qtbase5-dbg
+Suggests: qtdeclarative5-examples (= ${binary:Version}),
 Description: Qt 5 declarative libraries debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the debugging symbols for the Qt 5 declarative libraries.
+
+Package: qtdeclarative5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 declarative documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 declarative libraries.
+
+Package: qtdeclarative5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 declarative HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 declarative
+ libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtdeclarative5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Fix wrong permissions in examples.
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/ -type f \( \
	-name '*.png' \
	-o -name '*.php' \
	-o -name '*.xsl' \
	-o -name '*.xml' \
	-o -name '*.js' \
	-o -name '*.jpg' \
	\) -print0 | xargs -0 chmod a-x

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

# Requires X so disabled for now
override_dh_auto_test:

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtdeclarative-opensource-src-([^-]*)\.tar.xz

## qtdeclarative-opensource-src 5.2.0

=== debian/changelog ===
qtdeclarative-opensource-src (5.2.0-5) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Do not hardcode the version number in qtdeclarative5-private-dev.install.

  [ Timo Jyrinki ]
  * Separate the qml binary into its own package, likely to be used alone.

  [ Pino Toscano ]
  * Add proper breaks/replaces for qml move.
  * Install the private qmake stuff in qtdeclarative5-private-dev and not
    in qtdeclarative5-dev.
  * Simplify qtdeclarative5-examples.install.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Dec 2013 21:43:39 -0300

qtdeclarative-opensource-src (5.2.0-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files again.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build depend on pkg-kde-tools >= 0.15.12~, which fixes a qptrdiff
    substitution on s390x.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Dec 2013 12:41:59 -0300

qtdeclarative-opensource-src (5.2.0-3) experimental; urgency=low

  * s390x updated it's gcc version while we where updating it's symbols. Re
    update them to avoid a FTBFS.
  * Also update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 16 Dec 2013 15:43:40 -0300

qtdeclarative-opensource-src (5.2.0-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update libqt5qml5.symbols with feedback from i386, s390x and powerpc
    buildds.
  * Make qtdeclarative5-examples depend on all plugins used by examples.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Mark private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 16 Dec 2013 13:29:28 -0300

qtdeclarative-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop build-dependency on libqt5v8-5-private-dev, no longer needed.
  * Add copyright information for 3rdparty code to debian/copyright.
  * Update .install files.
  * Add new qtdeclarative5-settings-plugin package.
  * Make libqt5qml5 provide qtdeclarative-abi-5-2-0.
  * Update symbols files.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add python as build dependency.
  * Bump other Qt build-dependecies to 5.2.0.
  * Adjust install files.
  * Update symbols files:
    - The symbols removed were either introduced with beta1 or private symbols.
    - Regenerate symbols that used to have the qreal substitution.
  * Mark private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Dec 2013 09:13:18 -0300

qtdeclarative-opensource-src (5.1.1-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Update symbols file with buildds' logs.
  * Remove fix_systemdialogs_path, applied upstream.
  * Adjust examples install file.
  * Update symbols files with current build.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 22:09:43 -0300

qtdeclarative-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add missing license information for tests/auto/qml/parserstress/tests/ecma*
    in debian/copyright. Thanks Scott Kitterman for the tip.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Aug 2013 21:19:34 -0300

qtdeclarative-opensource-src (5.1.0-1) experimental; urgency=low

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump build dependencies to 5.1.0.
  * Add new plugin packages Dialogs, Models, Private Widgets.
  * Update install files.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update watch file.
  * Bump the build dependency on libqt5v8-5-private-dev to 5.1.0-2~,
    as I wrongly removed the private headers in the previous version.
  * Add fix_systemdialogs_path to allow installing the sistemdialogs
    example binary in it's place. Upstream bug
    https://bugreports.qt-project.org/browse/QTBUG-32359.
  * Update symbols files.
  * Mark private symbols to provide qtdeclarative-abi-5-1-0.
    - Make libqt5qml5 provide qtdeclarative-abi-5-1-0.
    - Add mark_private_symbols.sh to mark the symbols.
    - Actually mark the symbols.
    - Add lintian overrides for libqt5quickparticles5 and libqt5quick5.
  * Add .qml to the list of file extensions that should not be executable.
  * Check files permission in a broader path.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 13:39:12 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -11,22 +10,21 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               libqt5v8-5-private-dev (>= 5.0.2~),
-               libqt5xmlpatterns5-private-dev (>= 5.0.2~),
-               pkg-kde-tools,
-               qtbase5-private-dev (>= 5.0.2~)
-Build-Depends-Indep: libqt5sql5-sqlite,
-                     qttools5-dev-tools (>= 5.0.2~)
+               libqt5xmlpatterns5-private-dev (>= 5.2.0-1~),
+               pkg-kde-tools (>= 0.15.12~),
+               python,
+               qtbase5-private-dev (>= 5.2.0+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdeclarative.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtdeclarative-opensource-src
 
 Package: libqt5qml5
-Architecture: any
-Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Provides: qtdeclarative-abi-5-2-0
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -41,7 +39,7 @@
 Package: libqt5quick5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -55,7 +53,7 @@
 Package: libqt5quickparticles5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Quick particules module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -66,7 +64,7 @@
 Package: libqt5quicktest5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Quick Test library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -74,10 +72,21 @@
  .
  This package contains the Qt Quick Test library for QtDeclarative module.
 
+Package: qtdeclarative5-dialogs-plugin
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Dialogs QML plugin
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The Dialogs module provides FileDialog and ColorDialog types.
+
 Package: qtdeclarative5-folderlistmodel-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 folderlistmodel QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -88,18 +97,29 @@
 Package: qtdeclarative5-localstorage-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5sql5-sqlite
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 localstorage QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This is a singleton type for reading and writing to SQLite databases.
 
+Package: qtdeclarative5-models-plugin
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Models QML plugin
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The Models provides types previously found in Qt Quick module.
+
 Package: qtdeclarative5-particles-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 particles QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -107,10 +127,21 @@
  .
  This QML module contains a particle system for Qt Quick.
 
+Package: qtdeclarative5-privatewidgets-plugin
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Private Widgets QML plugin
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Private Widgets plugin.
+
 Package: qtdeclarative5-qtquick2-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libgl1-mesa-dri, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Qt Quick 2 QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -118,10 +149,21 @@
  .
  This package contains the Qt Quick 2 QML plugin for Qt declarative.
 
+Package: qtdeclarative5-settings-plugin
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 settings QML plugin
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the settings QML plugin for Qt declarative.
+
 Package: qtdeclarative5-test-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 test QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -132,7 +174,7 @@
 Package: qtdeclarative5-window-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -144,7 +186,7 @@
 Package: qtdeclarative5-xmllistmodel-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 xmllistmodel QML plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -155,7 +197,6 @@
 Package: qtdeclarative5-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5qml5 (= ${binary:Version}),
          libqt5quick5 (= ${binary:Version}),
          libqt5quickparticles5 (= ${binary:Version}),
@@ -172,9 +213,9 @@
 Package: qtdeclarative5-private-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: qtdeclarative5-dev (= ${binary:Version}),
-         ${misc:Depends},
+Depends: qtdeclarative5-dev (= ${binary:Version}), ${misc:Depends}
+Breaks: qtdeclarative5-dev (<< 5.2.0-5~)
+Replaces: qtdeclarative5-dev (<< 5.2.0-5~)
 Description: Qt 5 declarative private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -188,7 +229,6 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 declarative development programs
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -201,20 +241,40 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 QML scene viewer
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the QML viewer for Qt Quick 2.
+ This package contains the older QML viewer for Qt Quick 2. See qml package
+ for the newer one.
+
+Package: qml
+Architecture: any
+Multi-Arch: foreign
+Section: devel
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-dev-tools (<< 5.2.0-5~)
+Replaces: qtdeclarative5-dev-tools (<< 5.2.0-5~)
+Description: Qt 5 QML viewer
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the new QML viewer for Qt Quick 2, called simply
+ 'qml'.
 
 Package: qtdeclarative5-examples
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: qtdeclarative5-dialogs-plugin,
+         qtdeclarative5-localstorage-plugin,
+         qtdeclarative5-models-plugin,
+         qtdeclarative5-particles-plugin,
+         qtdeclarative5-test-plugin,
+         qtdeclarative5-xmllistmodel-plugin,
+         ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 declarative examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -226,14 +286,13 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5qml5 (= ${binary:Version}),
          libqt5quick5 (= ${binary:Version}),
          libqt5quickparticles5 (= ${binary:Version}),
          libqt5quicktest5 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: qtbase5-dbg
-Suggests: qtdeclarative5-examples (= ${binary:Version}),
+Suggests: qtdeclarative5-examples (= ${binary:Version})
 Description: Qt 5 declarative libraries debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -260,5 +319,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the HTML documentation for the Qt 5 declarative
- libraries.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
@@ -28,13 +30,14 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 	# Fix wrong permissions in examples.
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/ -type f \( \
+	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ -type f \( \
 	-name '*.png' \
 	-o -name '*.php' \
 	-o -name '*.xsl' \
 	-o -name '*.xml' \
 	-o -name '*.js' \
 	-o -name '*.jpg' \
+	-o -name '*.qml' \
 	\) -print0 | xargs -0 chmod a-x
 
 override_dh_auto_install-indep:

## qtdeclarative-opensource-src 5.2.1

=== tests/auto/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 include("${_Qt5CTestMacros}")
 
-set(Qt5_MODULE_TEST_DEPENDS Network Gui)
-
 test_module_includes(
   Qml QQmlEngine
   Quick QQuickWindow

=== debian/changelog ===
qtdeclarative-opensource-src (5.2.1-3ubuntu15) trusty; urgency=medium

  * Fix_QSmoothedAnimation_sometimes_getting_stuck.patch
    - Fix SmoothedAnimation getting stuck (LP: #1305015) (LP: #1300326)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 10 Apr 2014 09:00:28 +0300

qtdeclarative-opensource-src (5.2.1-3ubuntu14) trusty; urgency=medium

  * libqt5quick5.symbols, libqt5quicktest5.symbols: adding dep alternatives
    for the version compatible with OpenGLES (provided by another src pkg)
  * debian/control: changing qtdeclarative5-dev deps so it can also be used
    together with the ones built with the OpenGLES backend by default

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 00:33:21 -0300

qtdeclarative-opensource-src (5.2.1-3ubuntu13) trusty; urgency=medium

  * debian/patches/Support-RFC2822Date-date-format-similar-to-V8.patch
    - Support RFC 2822 format (LP: #1298978)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 03 Apr 2014 05:55:24 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu12) trusty; urgency=medium

  * 0001-Call-tzset-from-getLocalTZA-so-we-learn-about-tz-cha.patch: Call
    tzset() from getLocalTZA() so we learn about tz changes. Cherry-pick from
    upstream stable branch (LP: #1295550)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 31 Mar 2014 12:05:28 +0100

qtdeclarative-opensource-src (5.2.1-3ubuntu11) trusty; urgency=medium

  * debian/patches/Don-t-crash-on-Runtime-getQmlImportedScripts.patch
    - Backport from upstream code submittal (LP: #1294181)
  * debian/patches/Fix-global-object-handling-in-worker-script-JS-files.patch
    - Backport a fix from upstream (LP: #1294019)
  * debian/patches/V4-JIT-save-restore-ebx-GOT-ptr-on-linux-x86.patch
    debian/patches/V4-fix-range-sorting.patch
    debian/patches/V4-regalloc-fix-interval-splitting-when-register-pre.patch
    - Replace Don-t-use-ebx-in-the-x86-register-allocator.patch with a newer 
      set of fixes from upstream (LP: #1271033)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 24 Mar 2014 06:27:18 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu10) trusty; urgency=medium

  * debian/patches/Fix-crash-when-appending-arrays-to-sub-models-in-lis.patch
    - Backport from upstream https://codereview.qt-project.org/#change,80934
      (LP: #1291602)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 09:37:56 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu9) trusty; urgency=medium

  * debian/patches/clean_chain_of_incubated_objects.patch:
    - Backport from upstream https://codereview.qt-project.org/#change,80893

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 07:56:15 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu8) trusty; urgency=medium

  * debian/libqt5qml5.symbols:
    - Update arm64 symbols from build logs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 16:35:51 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu7) trusty; urgency=medium

  [ Colin Watson ]
  * debian/patches/aarch64.patch:
    - Update to fix FTBFS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 15:39:52 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu6) trusty; urgency=medium

  * debian/libqt5qml5.symbols:
    - Update another symbol from build logs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 08 Mar 2014 15:13:51 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu5) trusty; urgency=medium

  [ Colin Watson ]
  * debian/patches/aarch64.patch:
    - Add support for arm64.  (Ported from webkitgtk.)
  * debian/patches/ppc64el.patch:
    - Handle little-endian mode for PowerPC.
  * debian/libqtqml5.symbols:
    - Mark MASM symbols as "amd64 armel armhf i386 mips mipsel" rather than
      "!powerpc", corresponding to architectures where the assembler is
      enabled.
    - Apply some other miscellaneous symbols adjustments for ppc64el.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 08 Mar 2014 10:04:10 +0200

qtdeclarative-opensource-src (5.2.1-3ubuntu4) trusty; urgency=medium

  * debian/patches/Fix-crash-when-accessing-var-properties-in-objects-w.patch:
    - Cherry-pick from upstream https://codereview.qt-project.org/#change,79857
      (LP: #1277206)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 04 Mar 2014 17:08:07 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu3) trusty; urgency=medium

  * Update powerpc symbols from build logs and Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 05:43:37 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu2) trusty; urgency=medium

  * Update symbols from build logs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 27 Feb 2014 16:30:51 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu1) trusty; urgency=low

  [ Timo Jyrinki ]
  * New upstream release. (LP: #1253603) (LP: #1242629)
  * Bump build deps to 5.2.1
  * Drop a patch that upstream has fixed in another way:
    - rendering_performance_fix_lp1092358.patch
  * Drop patches submitted and merged upstream:
    - 0001-Fallback-to-QMetaObject-for-properties-not-in-QQmlPr.patch
    - 8a3d48915c29484c9ffb2fb8f0e3b569a9fe9b44_backport.patch
    - 03_51665a9ecaebaef2382c1e76ebedfeffacb4b3de_backport.patch
    - 04_9d6cd72353e4862592c016951810abf9a7ab8079_backport.patch
    - fix_1236765.patch
    - qml_type_loading.patch
  * Drop other backported patches:
    - 0b190b7114c816689eeb8478ea5151732bc7a5de_backport.patch
    - 81a9dd71b9ce60ab4cae629b67d6f26ebdeb19db_backport.patch
    - 01_8563adb737cec5d440197ddbd514fe201c5f18ff_backport.patch
    - 02_53e317468626284fe26877659dff551ce3bc0e55_backport.patch
  * Update *.install
  * Add new packages qtdeclarative5-dialogs-plugin, 
    qtdeclarative5-models-plugin and qtdeclarative5-privatewidgets-plugin
  * Add debian/patches/correct_geometry_for_2x_pixmaps.patch
    (LP: #1214374)
  * Update symbols
  * 0001-Reset-on-model-layout-changed.patch was merged upstream (LP: #1242629)
  * Add qtdeclarative5-settings-plugin package


=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtdeclarative5-dbg
 
 override_dh_auto_configure:
-	qmake
+	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
-	dh_auto_build -Smakefile -- docs
+	dh_auto_build -Smakefile -- html_docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -41,7 +41,7 @@
 	\) -print0 | xargs -0 chmod a-x
 
 override_dh_auto_install-indep:
-	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs
 
 override_dh_install:
 	dh_install --fail-missing
@@ -49,5 +49,15 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
-# Requires X so disabled for now
 override_dh_auto_test:
+	cp -a src/imports/qtquick2/qmldir qml/QtQuick.2
+	cp -a src/imports/folderlistmodel/qmldir qml/Qt/labs/folderlistmodel/
+	cp -a src/imports/settings/qmldir qml/Qt/labs/settings/
+	cp -a src/imports/window/qmldir qml/QtQuick/Window.2/
+	cp -a src/imports/models/qmldir qml/QtQml/Models.2/
+	cp -a src/imports/testlib/qmldir qml/QtTest
+	cp -a src/imports/testlib/TestCase.qml qml/QtTest
+	cp -a src/imports/testlib/SignalSpy.qml qml/QtTest
+	cp -a src/imports/testlib/testlogger.js qml/QtTest
+	make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml QT_QPA_PLATFORM=minimal
+
